# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-DateTime-Format-MySQL
Version:	0.06
Release:	2.%{__distinit}%{__distvers}
Summary:	Parse and format MySQL dates and times
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/DateTime-Format-MySQL
Source0:	http://search.cpan.org/CPAN/authors/id/X/XM/XMIKEW/DateTime-Format-MySQL-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(Module::Build)
# Module Runtime
BuildRequires:	perl(DateTime)
BuildRequires:	perl(DateTime::Format::Builder)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(DateTime::Format::Builder)

%description
This module understands the formats used by MySQL for its DATE, DATETIME,
TIME, and TIMESTAMP data types. It can be used to parse these formats in order
to create DateTime objects, and it can take a DateTime object and produce a
string representing it in the MySQL format.

%prep
%setup -q -n DateTime-Format-MySQL-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/DateTime::Format::MySQL.3*

%changelog
* Tue Aug 16 2016 Paul Howarth <paul@city-fan.org> - 0.06-2
- BR: perl-generators where available

* Sat Feb 13 2016 Paul Howarth <paul@city-fan.org> - 0.06-1
- Update to 0.06
  - Fixed typo in regex that strangely works most of the time

* Tue Oct 28 2014 Paul Howarth <paul@city-fan.org> - 0.05-1
- Update to 0.05
  - Added parsing of MySQL fractional seconds (microseconds)
  - Allowed additional valid MySQL formats (delimiters in DATE and TIME fields
    using punctuation, 'T' separator between DATE and TIME and single-digit
    time or date values)
- This release by XMIKEW → update source URL

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 0.04-22
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Sat Jul 14 2012 Paul Howarth <paul@city-fan.org> - 0.04-16
- Switch to Module::Build flow since we need Module::Build anyway
- BR: perl(DateTime)
- Don't need to define %%{perl_vendorlib}

* Thu Jun 23 2011 Paul Howarth <paul@city-fan.org> - 0.04-13
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.04-12
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> - 0.04-11
- Fix dist tag for RHEL-6 Beta

* Thu Feb  4 2010 Paul Howarth <paul@city-fan.org> - 0.04-10
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.04-9
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.04-6
- Rebuild for new perl

* Tue Jan 01 2008 Ralf Corsépius <rc040203@freenet.de> - 0.04-5
- Adjust License-tag
- Add BR: perl(Test::More) (BZ 419631)
- Minor spec cosmetics

* Fri Sep 08 2006 Chris Weyl <cweyl@alumni.drew.edu>
- Add missing explicit requires on perl(DateTime::Format::Builder)
- Misc spec tweaks

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.04-3
- Bump for mass rebuild

* Thu Aug 10 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.04-2
- Bump for build & release

* Fri Aug 04 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.04-1
- Initial spec file for F-E
